<nav class="navbar navbar-default">
  <div class="container-fluid submit">
    <div class="navbar-header icon mt-2">
      <h6>
        <svg-icon src="assets/images/featureicons/Data-Ingestion.svg" [stretch]="true"
        [applyCss]="true" class="dataIngestionIcon title">
        </svg-icon>{{mainIngestionContent.title}}
      </h6>
    </div>
    <ul class="nav navbar-nav">
        <button type="button" class="btn btn-outline-warning mr-2">{{mainIngestionContent.buttons.cancel}}</button>
        <button type="button" class="btn btn-outline-warning" (click)="saveDataIngestionDetails()">{{mainIngestionContent.buttons.submit}}</button>
    </ul>
  </div>
</nav>
<hr class="mt-0" />
<div class="control-section e-tab-section">
  <div class="e-sample-resize-container">
    <!-- Render the Tab Component -->
    <ejs-tab id="tab_default" heightAdjustMode="Auto">
      <e-tabitems>
        <e-tabitem [header]="headerText[0]">
          <ng-template #content>
            <app-data-ingestion-details #dataIngestionDetails
             (dataFileSelected)="pullDataLayoutDetails($event)"></app-data-ingestion-details>
          </ng-template>
        </e-tabitem>
        <e-tabitem [header]="headerText[1]">
          <ng-template #content>
            <app-data-layout-details #dataLayoutDetails [onboardMode]="objDataIngestionDetails.activeLayoutDisplayOption"
            [objId]="objDataIngestionDetails.dataIngestionDetails.obj_id"
            [masterObjId]="" 
            [sampleFileName]='objDataIngestionDetails.dataIngestionDetails.sample_file_name' 
            [fileColumnDelemiter]="objDataIngestionDetails.dataIngestionDetails.file_column_delemiter"
            [fileTextQualifier]="objDataIngestionDetails.dataIngestionDetails.file_text_qualifier === '--' ? 'None': objDataIngestionDetails.dataIngestionDetails.file_text_qualifier"
            [s3ConnectorId]="objDataIngestionDetails.sourceConnectionDetails.data_layer_id"
            [folderPrefix]="objDataIngestionDetails.sourceConnectionDetails.abslt_path"
            ></app-data-layout-details>
          </ng-template>
        </e-tabitem>
      </e-tabitems>
    </ejs-tab>
  </div>
</div>